Subject: bug#19237: closed (Re: bug#19237: Guile-2.0.11 OS X 10.10.1 build error)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Dec 2014 17:24:02 +0000

Your bug report

#19237: Guile-2.0.11 OS X 10.10.1 build error

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19237: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19237
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19237: Guile-2.0.11 OS X 10.10.1 build error
From: [email-masked] (Ludovic Courtès)
To: Hans Aberg <[email-masked]>
Cc: [email-masked]
Date: Thu, 04 Dec 2014 18:23:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hans Aberg <[email-masked]> skribis:

>> On 3 Dec 2014, at 23:21, Ludovic Courtès <[email-masked]> wrote:
>> 
>> Could it be because Guile is being compiled against libeditline instead
>> of GNU Readline?
>> 
>> Readline support in Guile requires GNU Readline.
>
> It looked as though that the readline in the Guile distribution is too
> old - no other readline installed on the system.

Actually there’s no Readline in Guile itself, just the guile-readline
bindings.

> I just installed the latest GNU readline into /usr/local/, and then
> Guile compiled.

OK, so I guess it was really libeditline’s Readline semi-compatibility
shim that was being used.

Closing this bug now.

Thanks,
Ludo’.

Subject: Guile-2.0.11 OS X 10.10.1 build error
From: Hans Aberg <[email-masked]>
To: [email-masked]
Date: Mon, 1 Dec 2014 00:51:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I get a build error [1] with guile-2.0.11 on OS X 10.10.1. It looks like an illegal int to pointer conversion cause a name to not be defined, and then the linking fails.

1. make
...
Making all in guile-readline
  SNARF  readline.x
/Applications/Xcode.app/Contents/Developer/usr/bin/make  all-am
  CC       readline.lo
../../guile-2.0.11/guile-readline/readline.c:433:16: warning: implicit declaration of function 'rl_get_keymap_name' is invalid in C99
      [-Wimplicit-function-declaration]
  if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "vi", 2))
               ^
../../guile-2.0.11/guile-readline/readline.c:433:16: warning: incompatible integer to pointer conversion passing 'int' to parameter of type 'const char *'
      [-Wint-conversion]
  if (strncmp (rl_get_keymap_name (rl_get_keymap ()), "vi", 2))
               ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/string.h:84:26: note: passing argument to parameter here
int      strncmp(const char *, const char *, size_t);
                             ^
2 warnings generated.
  CCLD     libguilereadline-v-18.la
Undefined symbols for architecture x86_64:
  "_rl_get_keymap_name", referenced from:
      _scm_init_readline in readline.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[3]: *** [libguilereadline-v-18.la] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2